/* filecmd stuff */

Bool downloadFileQueue(void);
void addFileQueue(void);
void listFileQueue(void);
void removeFileQueue(void);
void clearFileQueue(void);
void attributes(void);
Bool CheckDirectoryRoom(void);
void entertextfile(Bool HideIt);
void enterwc(Bool HideIt);
void readdirectory(OldNewPick which);
void readtextfile(OldNewPick which);
void readwc(void);
void renamefile(void);
void unlinkfile(void);
void doTheDownload(const char *filename, const char *thePath, Bool fullPath, const protocols *theProt, Bool queue);
void download(char c);
void upload(char c, Bool HideIt);
void upDownMnu(char cmd, Bool respOnly);
Bool getNewOldFileDate(void);
void MoveFile(void);
protocols *GetProtocolByKey(char Key, Bool Network = FALSE);
void ActuallyDoTheUpload(const protocols *theProt, Bool HideIt, Bool Ask);

enum InternalProtocols
	{
	IP_XMODEM,	IP_CRCXMODEM,	IP_ONEKXMODEM,	IP_ZMODEM, IP_ERROR,
	};
